Bug 14596 - svn or git update request from CVS
Summary: svn or git update request from CVS
Status: CLOSED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Version control (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL: http://webcvs.freedesktop.org/ldtp/ldtp/
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-20 22:58 UTC by Nagappan Alagappan
Modified: 2008-06-27 08:25 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nagappan Alagappan 2008-02-20 22:58:48 UTC
In Web CVS, recently notice a message "Please note, many of these repositories are now out of date, instead you really should try the git repositories at: http://cgit.freedesktop.org/"

So requesting to update to SVN or GIT from CVS repository (If required :).

http://webcvs.freedesktop.org/ldtp/ldtp/

Thanks
Nagappan
Comment 1 Benjamin Close 2008-03-03 19:30:20 UTC
Before I do the conversion, what about the rest of ldtp? Did you just want ldtp/ldtp converted or all ldtp/* converted?

(Please remove the NEEDINFO keyword when replying)
Comment 2 Nagappan Alagappan 2008-03-04 09:18:08 UTC
Request to move ldtp/* to the new format.
Comment 3 Benjamin Close 2008-04-01 04:58:08 UTC
ldtp/* converted to seperate git repositories. - Sorry about the delay.

Can you please check that the conversion looks ok. At present to do this you'll need to clone them on annarchy, they are not yet public.

ie:

ssh user@annarchy

git clone /git/ldtp/ldtp

to get the ldtp module.

Let me know when your happy with the conversion and I'll make the cvs repo read only. - You might want to check in something to each cvs module so that when built  it indicates the cvs repos are invalid.

Cheers,
  Benjamin
(Please remove the NEEDINFO keyword when replying)
Comment 4 Nagappan Alagappan 2008-04-01 07:57:47 UTC
(In reply to comment #3)
> ldtp/* converted to seperate git repositories. - Sorry about the delay.
> 
> Can you please check that the conversion looks ok. At present to do this you'll
> need to clone them on annarchy, they are not yet public.
> 
> ie:
> 
> ssh user@annarchy
> 
> git clone /git/ldtp/ldtp
> 
> to get the ldtp module.
> 
> Let me know when your happy with the conversion and I'll make the cvs repo read
> only. - You might want to check in something to each cvs module so that when
> built  it indicates the cvs repos are invalid.
> 
> Cheers,
>   Benjamin
> (Please remove the NEEDINFO keyword when replying)
> 

Hi Benjamin,

Thanks :)

But when I clone it just created .git directory and the contents were not checked out. Did I missed something ? You can check them in my /home/nagappan/ldtp.

Thanks
Nagappan
Comment 5 James Cloos 2008-04-01 13:39:58 UTC
I took a quick look at these.

Something clearly went wrong with the conversion.

The objects hierarchy is large enough that all of that data is probably there, but it is not connected to the commit history.

If, on annarchy, you do this:

cd /git/ldtp/ldtp.git/
git log -p

You'll see all of the commit logs but not the associated patches (which is what the -p option asks for).

If you clone you get just the commit logs; du(1) shows drastically different results on a clone than on the main repo.

This probably warrants a posting to git@vger kernel org.  However the conversion was done it should not get that result.
Comment 6 Benjamin Close 2008-04-07 06:35:11 UTC
Hmm, looks like someone's broken parsecvs since I last used it. Seem without the -p option it creates this situation. I've now rebuilt all repos and they seem to be valid now.

As before:

Let me know when your happy with the conversion and I'll make the cvs repo read
only. - You might want to check in something to each cvs module so that when
built  it indicates the cvs repos are invalid.

Cheers,
  Benjamin
(Please remove the NEEDINFO keyword when replying)
Comment 7 Nagappan Alagappan 2008-04-07 08:46:43 UTC
(In reply to comment #6)
> As before:
> 
> Let me know when your happy with the conversion and I'll make the cvs repo read
> only. - You might want to check in something to each cvs module so that when
> built  it indicates the cvs repos are invalid.

Yes working fine :) Thanks !!!
Comment 8 Benjamin Close 2008-04-07 18:11:37 UTC
Ok, CVS repos for ldtp/* are now readonly. 

Comment 9 Nagappan Alagappan 2008-04-07 18:24:00 UTC
Benjamin: How can I access the external git repository now ? I could not see them in http://cgit.freedesktop.org/ maybe it take some time to be available in that web interface ?
Comment 10 Benjamin Close 2008-04-08 09:03:42 UTC
Fixed, the repo list didn't auto include ldtp/* 

If you've got a description for each repo, I'd be happy to update the 'Unamed repository' descriptions for you :)
Comment 11 Nagappan Alagappan 2008-04-08 20:27:32 UTC
a11y-test-suite - Accessibility test suite
appmap - Generation of static application map
ldtp - Linux Desktop Testing Project framework
pyautosuite - LDTP python automation suites

Outdated:
ldtpeditor - LDTP editor
pyldtp - Python LDTP framework (Initial framework)
record - LDTP recording framework

Outdated ones are kept just for reference. Probably they can be in CVS itself.

Thanks
Comment 12 Benjamin Close 2008-04-14 05:28:44 UTC
Ok, descriptions updated, the git repos for the outdated modules have also been removed. They now exist only in cvs. (I've backed them up though if you do want the git version).
Comment 13 Nagappan Alagappan 2008-04-14 13:56:16 UTC
(In reply to comment #12)
> Ok, descriptions updated, the git repos for the outdated modules have also been
> removed. They now exist only in cvs. (I've backed them up though if you do want
> the git version).
> 

Hello Benjamin,

Thanks for your time and effort.

This change is not reflected in http://cgit.freedesktop.org/ will it take time to reflect on web ?

Thanks
Comment 14 Nagappan Alagappan 2008-04-14 23:31:00 UTC
How do I access the new git repository from outside annarchy ?
Comment 15 Nagappan Alagappan 2008-04-15 20:39:39 UTC
(In reply to comment #14)
> How do I access the new git repository from outside annarchy ?
> 

Need to do a release, shall I check in the code in CVS and do a release ? Or shall I wait for a day or two ? sorry to bother you too much :)
Comment 16 Benjamin Close 2008-04-23 18:08:49 UTC
To access outside of annarchy with the abiltiy to push

  git clone git+ssh://username@git.freedesktop.org:/ldtp/ldtp


For everyone else to access it:

  git clone git://anongit@anongit.freedesktop.org:/ldtp/ldtp

Sorry for the delay.

CVS is not readonly, you'll not be able commit to it.
Comment 17 Nagappan Alagappan 2008-04-23 18:48:54 UTC
(In reply to comment #16)
> To access outside of annarchy with the abiltiy to push
> 
>   git clone git+ssh://username@git.freedesktop.org:/ldtp/ldtp
> 
> 
> For everyone else to access it:
> 
>   git clone git://anongit@anongit.freedesktop.org:/ldtp/ldtp
> 
> Sorry for the delay.
> 
> CVS is not readonly, you'll not be able commit to it.
> 

Thanks a lot !!! :)

Can this code be available for source browsing ? http://cgit.freedesktop.org/ldtp
Comment 18 Nagappan Alagappan 2008-04-23 20:28:33 UTC
(In reply to comment #16)
> To access outside of annarchy with the abiltiy to push
> 
>   git clone git+ssh://username@git.freedesktop.org:/ldtp/ldtp

nags@nags:~/git> git clone git+ssh://nagappan@git.freedesktop.org:/ldtp/ldtp
Initialized empty Git repository in /home/nags/git/ldtp/.git/
Bad port ''
fatal: The remote end hung up unexpectedly
fetch-pack from 'git+ssh://nagappan@git.freedesktop.org:/ldtp/ldtp' failed.

> For everyone else to access it:
> 
>   git clone git://anongit@anongit.freedesktop.org:/ldtp/ldtp
nags@nags:/tmp/git> git clone git://anongit@anongit.freedesktop.org:/ldtp/ldtp
Initialized empty Git repository in /tmp/git/ldtp/.git/
fatal: Unable to look up anongit@anongit.freedesktop.org (port <none>) (Servname not supported for ai_socktype)
fetch-pack from 'git://anongit@anongit.freedesktop.org:/ldtp/ldtp' failed.

Both of them didn't worked. Reopening the bug :)
Comment 19 Daniel Stone 2008-04-23 22:27:30 UTC
On Wed, Apr 23, 2008 at 08:28:34PM -0700, bugzilla-daemon@freedesktop.org wrote:
> nags@nags:~/git> git clone git+ssh://nagappan@git.freedesktop.org:/ldtp/ldtp
> Initialized empty Git repository in /home/nags/git/ldtp/.git/
> Bad port ''
  ^^^^^^^^^^^

> fatal: The remote end hung up unexpectedly
> fetch-pack from 'git+ssh://nagappan@git.freedesktop.org:/ldtp/ldtp' failed.
> 
> > For everyone else to access it:
> > 
> >   git clone git://anongit@anongit.freedesktop.org:/ldtp/ldtp
> nags@nags:/tmp/git> git clone git://anongit@anongit.freedesktop.org:/ldtp/ldtp
> Initialized empty Git repository in /tmp/git/ldtp/.git/
> fatal: Unable to look up anongit@anongit.freedesktop.org (port <none>)
                                                            ^^^^^^^^^^^
> (Servname not supported for ai_socktype)
> fetch-pack from 'git://anongit@anongit.freedesktop.org:/ldtp/ldtp' failed.
> 
> Both of them didn't worked. Reopening the bug :)

Get rid of the : after git.freedesktop.org.
Comment 20 Nagappan Alagappan 2008-04-24 08:37:19 UTC
(In reply to comment #19)
> Get rid of the : after git.freedesktop.org.

Thanks for the hint :)

nags@nags:~/git> git clone git+ssh://nagappan@git.freedesktop.org/ldtp/ldtp
Initialized empty Git repository in /home/nags/git/ldtp/.git/
The authenticity of host 'git.freedesktop.org (131.252.210.178)' can't be established.
RSA key fingerprint is 83:a1:33:1b:bc:ca:5a:d7:c4:41:fa:32:85:39:b7:76.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'git.freedesktop.org' (RSA) to the list of known hosts.
fatal: '/ldtp/ldtp': unable to chdir or not a git archive
fatal: The remote end hung up unexpectedly
fetch-pack from 'git+ssh://nagappan@git.freedesktop.org/ldtp/ldtp' failed.

Reopening the bug :)
Comment 21 James Cloos 2008-04-24 14:28:11 UTC
Try these:

ssh://git.freedesktop.org/git/ldtp/ldtp.git
git://anongit.freedesktop.org/git/ldtp/ldtp.git
Comment 22 Nagappan Alagappan 2008-04-24 19:26:46 UTC
(In reply to comment #21)
> Try these:
> 
> ssh://git.freedesktop.org/git/ldtp/ldtp.git

git clone ssh://nagappan@git.freedesktop.org/git/ldtp/ldtp.git

> git://anongit.freedesktop.org/git/ldtp/ldtp.git

git clone git://anongit.freedesktop.org/git/ldtp/ldtp.git

Thanks it worked great !!!

Closing the bug. Thanks to all :) especially Benjamin for converting LDTP CVS to git.
Comment 23 Nagappan Alagappan 2008-04-24 19:38:11 UTC
One request. Can LDTP be added in http://cgit.freedesktop.org/ ?

Thanks
Comment 24 Nagappan Alagappan 2008-05-09 15:57:04 UTC
I don't see the check in are updated to anonymous git (http://anongit.freedesktop.org/git/ldtp/ldtp.git/)

Could you please check this out for me ?

Also request to add a LDTP under http://cgit.freedesktop.org/

Reopening the bug.
Comment 25 Nagappan Alagappan 2008-06-18 19:38:17 UTC
ping :)
Comment 26 Daniel Stone 2008-06-19 02:27:05 UTC
It's been in cgit for a while now (I fixed it about two weeks ago).  Was there anything else missing?
Comment 27 Nagappan Alagappan 2008-06-19 08:19:11 UTC
(In reply to comment #26)
> It's been in cgit for a while now (I fixed it about two weeks ago).  Was there
> anything else missing?
> 

Thanks for adding LDTP project under cgit.
Yes, my recent check-in are not available in anongit or in cgit.
Thanks
Comment 28 Daniel Stone 2008-06-19 17:41:29 UTC
On Thu, Jun 19, 2008 at 08:19:12AM -0700, bugzilla-daemon@freedesktop.org wrote:
> --- Comment #27 from Nagappan <nagappan@gmail.com>  2008-06-19 08:19:11 PST ---
> (In reply to comment #26)
> > It's been in cgit for a while now (I fixed it about two weeks ago).  Was there
> > anything else missing?
> 
> Thanks for adding LDTP project under cgit.
> Yes, my recent check-in are not available in anongit or in cgit.

You need to run 'git push origin' when you're done.  Google for 'easy
git guide' or so.
Comment 29 Nagappan Alagappan 2008-06-19 21:25:17 UTC
(In reply to comment #28)
> On Thu, Jun 19, 2008 at 08:19:12AM -0700, bugzilla-daemon@freedesktop.org
> wrote:
> 
> You need to run 'git push origin' when you're done.  Google for 'easy
> git guide' or so.
> 
Thanks for the info :)

Counting objects: 80, done.
Compressing objects: 100% (44/44), done.
Writing objects: 100% (44/44), 13.93 KiB, done.
Total 44 (delta 39), reused 0 (delta 0)
error: unable to write sha1 filename ./objects/98/234a02b81613de0c8f66358005b9e779146b3f: Permission denied

fatal: failed to write object
error: unpack failed: unpacker exited with error code
To ssh://nagappan@git.freedesktop.org/git/ldtp/ldtp.git
 ! [remote rejected] master -> master (n/a (unpacker error))
error: failed to push some refs to 'ssh://nagappan@git.freedesktop.org/git/ldtp/ldtp.git'

Re-opening the bug !
Comment 30 Nagappan Alagappan 2008-06-23 14:10:27 UTC
(In reply to comment #29)
Guess the issue could be due to ?

http://lists.freedesktop.org/archives/xorg/2006-June/015905.html
Follow up of above issue
http://lists.freedesktop.org/archives/xorg/2006-June/015912.html
Comment 31 Benjamin Close 2008-06-27 00:24:50 UTC
Yup, seems to have been permission related. I've:

 chmod -R g+w object refs branches 

should fix things for you.
Comment 32 Nagappan Alagappan 2008-06-27 08:25:53 UTC
(In reply to comment #31)
> Yup, seems to have been permission related. I've:
> 
>  chmod -R g+w object refs branches 
> 
> should fix things for you.
> 

Cool, thanks :) It worked great for me.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.